Puppy Linux Discussion Forum Forum Index Puppy Linux Discussion Forum
Puppy HOME page : puppylinux.com
"THE" alternative forum : puppylinux.info
 
 FAQFAQ   SearchSearch   MemberlistMemberlist   UsergroupsUsergroups   RegisterRegister 
 ProfileProfile   Log in to check your private messagesLog in to check your private messages   Log inLog in 

The time now is Sat 25 Oct 2014, 01:35
All times are UTC - 4
 Forum index » Advanced Topics » Additional Software (PETs, n' stuff) » Unsorted
Cinelerra 2.1CV Video Editor for Unnamed 1.1
Moderators: deshlab, Flash, GuestToo, Ian, JohnMurga, Lobster
Post_new_topic   Reply_to_topic View_previous_topic :: View_next_topic
Page 1 of 1 Posts_count  
Author Message
battleshooter


Joined: 14 May 2008
Posts: 1095
Location: Australia

PostPosted: Tue 08 Sep 2009, 06:23    Post_subject:  Cinelerra 2.1CV Video Editor for Unnamed 1.1  

Hello world!

Here's Cinelerra and its dependencies compiled in Unnamed 1.1 for those who want it. Tested it in Mediapup and it doesn't work so I'm assuming it won't work in any other pups. Different glibc I think.

So here it is in all it's glory, unstripped and a whopping 19mb for the Cinelerra pet, and 13mb for all the dependencies. I tried stripping the Cinelerra pet, really shrunk it, but I had too many weird dependency errors. I also tried making an SFS of it with no success either. If someone wants to have ago at shrinking or making Cinelerra into a SFS, feel free, but it would be nice if you could tell me what you did, I would like to know so I could learn from it. Learning experience. Smile

cinelerra-2.1CV.pet


Requires
SDL
OpenGL

Dependencies
fftw-3.2.1.pet
libdv-1.0.0.pet
faac-1.28.pet
faad2-2.7.pet
libraw1394-1.2.0.pet
libavc1394-0.5.3.pet
libdv-1.0.0.pet
libtheora-1.0.pet
mjpegtools-1.9.0.pet
ilmbase-1.0.1.pet
openexr-1.6.1.pet
x264.pet

I really hate the original Cinelerra theme, see first pic, and so if you're like me and despise it, there is hope! It can be changed in the preference menu, Settings-Preferences-Interface-Theme, and change it from there. Lower screenshot is the theme Bluedot. I rather like it rather than the blond one.

SUV Theme (default)


Bluedot Theme


Many thanks to MU who told me how to crack the Cinelerra mystery and to Wow for his great puplet. Oh, and the libdv pet is BigBass's slightly edited because I couldn't compile it for peanuts Sad Thanks everyone! Very Happy

Battleshooter Smile

_________________
LMMS 1.0.2, Ardour 3.5.389, Kdenlive 0.9.8

Edited_times_total
Back to top
View user's profile Send_private_message 
elcolto13

Joined: 09 Jun 2009
Posts: 69
Location: Southwest Pennsylvania (USA)

PostPosted: Tue 15 Sep 2009, 14:53    Post_subject:  

It simply won't even open for me. I click the icon, nothing.

It said it was missing these dep's;

In: usr/lib/libquicktimehv-1.6.0.so.1.0.0
libx264.so.58
In: usr/lib/libguicast.so.1.0.0
libGLU.so.1
In: usr/bin/cinelerra
libx264.so.58
libGLU.so.1
libxcb-xlib.so.0
libxcb.so.1
libx264.so.58
libGLU.so.1


Or is this just a thread for people to toy around with try to make this work in Puppy?
Back to top
View user's profile Send_private_message 
battleshooter


Joined: 14 May 2008
Posts: 1095
Location: Australia

PostPosted: Wed 16 Sep 2009, 00:46    Post_subject:  

elcolto13 wrote:

Or is this just a thread for people to toy around with try to make this work in Puppy?


No, this is supposed to be a working version of Cinelerra, sorry Elcolto13, I forgot to upload a x264 pet, and that's why you're getting dependency issues. Another thing I didn't mention was the SDL and that OpenGL/3D acceleration is needed. My greatest apologies. Sad Thanks for letting me know. If there are any other problems, please let me know. Thanks!

Battleshooter

_________________
LMMS 1.0.2, Ardour 3.5.389, Kdenlive 0.9.8
Back to top
View user's profile Send_private_message 
PupGeek

Joined: 06 Sep 2009
Posts: 388

PostPosted: Wed 16 Sep 2009, 17:54    Post_subject:  

elcolto13 wrote:
It simply won't even open for me. I click the icon, nothing.

It said it was missing these dep's;

In: usr/lib/libquicktimehv-1.6.0.so.1.0.0
libx264.so.58
In: usr/lib/libguicast.so.1.0.0
libGLU.so.1
In: usr/bin/cinelerra
libx264.so.58
libGLU.so.1
libxcb-xlib.so.0
libxcb.so.1
libx264.so.58
libGLU.so.1


Or is this just a thread for people to toy around with try to make this work in Puppy?



Looks like you need OpenGL. Use your puppy package manager and install package: xorg_xorg_dri-7.3.1

The package name above assumes you are using puppy 4.x
Basically look for something containing "xorg" and "dri" in the package name.
Back to top
View user's profile Send_private_message 
PupGeek

Joined: 06 Sep 2009
Posts: 388

PostPosted: Wed 16 Sep 2009, 18:02    Post_subject:  

@ Battleshooter: I too have noticed problems when trying to make a working pet and all its dependencies into a .sfs file. Making it into a roxapp could provide the convenience needed. I made a .sfs file of blender and its dependencies and packaged it into a roxapp. It includes OpenGL too. The AppRun script will check for OpenGL and install it if needed, then it will mount the blender.sfs file and export the environment variables. I haven't really given it rigorous testing yet, but it seems to work like a charm. I have been testing it on an unremastered puppy 4.2 session with no pup_save file loaded, and it has been working.

BTW It may sound redudnant to package an app this way, but, to the best of my knowledge, loading a .sfs module will not install OpenGL on your system and unloading it poses a challenge as well. With an sfs roxapp, you get the compact size of a .sfs module with the convenience of simply unmounting the filesystem's mount point when done using it to free up ram space. And if you need to use it again, just simply click on it again.... My blender app even copies the blender.desktop file to /usr/share/applications, fixes the menus, refreshes, and restarts jwm for you.
Back to top
View user's profile Send_private_message 
paulski

Joined: 06 Oct 2006
Posts: 127
Location: Cologne, Germany &/or Perth, Australia

PostPosted: Sat 21 Nov 2009, 17:17    Post_subject: Atempt on a Fresh install Puppy 4.3.1.  

I just tried installing the .pet fron cinerlerra and the .pets for the dependencies on a fresh puppy 4.3.1 frugal install

Came up with a need for
libxcb-xlib.so.0

Found the lib in a small archive file on the forum for a completely different purpose: (Missing libraries)
http://www.murga-linux.com/puppy/viewtopic.php?mode=attach&id=9798&sid=966bef983754cf997770cba301331a53

Haven't tested it thoroughly though - there is some hate mail in the console but the screen is up - looks promising.
Back to top
View user's profile Send_private_message 
battleshooter


Joined: 14 May 2008
Posts: 1095
Location: Australia

PostPosted: Sun 22 Nov 2009, 06:10    Post_subject:  

Interesting. No idea if it will work, but if it does, good for you man, and for others on 4.3.1. Hope it works.

Battleshooter

_________________
LMMS 1.0.2, Ardour 3.5.389, Kdenlive 0.9.8
Back to top
View user's profile Send_private_message 
mikeslr


Joined: 16 Jun 2008
Posts: 793
Location: Union New Jersey USA

PostPosted: Mon 30 Nov 2009, 20:18    Post_subject: Cinelerra 2.1 Video Editor for Puppy 4.31
Sub_title: Please Post results & problems
 

Great effort battleshooter. Cinelerra is considered the most complete video editing app in Linux. It's also among the most difficult to put together properly. Consequently, if someone can get it working under Puppy, it would be a real coup.

@ Paulski, please let us know how you made out, or what problems you ran into. I've been following the dPup 482 thread and was going to make a stab at Cinelerra once dPup482's synaptic ran properly on a frugal install. I had no hope of success but was curious and have some time on my hands. But if it can be run under 4.31 I figured chances of success might improve considerably.

Anyone following this thread might be interested to know that somehow pure-dyne, apparently, got it to work. Like Puppy, pure-dyne can be run from a LiveCD or frugally installed. Examining pure-dyne's structure and files might prove informative.

mikesLr
Back to top
View user's profile Send_private_message 
battleshooter


Joined: 14 May 2008
Posts: 1095
Location: Australia

PostPosted: Tue 01 Dec 2009, 14:47    Post_subject:  

@ Mikeslr

Actually, considering your post, I don't think it would be hard to compile Cinelerra for 4.3.1. Maybe I'll have ago this afternoon. I compiled all the dependencies for Unnamed from scratch except for a handful from pets. I know this version definitely works in Unnamed, but no one's told me yet if it worked on their machine.

Battleshooter

_________________
LMMS 1.0.2, Ardour 3.5.389, Kdenlive 0.9.8
Back to top
View user's profile Send_private_message 
gposil


Joined: 06 Apr 2009
Posts: 1305
Location: Stanthorpe (The Granite Belt), QLD, Australia

PostPosted: Tue 01 Dec 2009, 19:40    Post_subject:  

Cinelerra 4.1 for Dpup is here...http://dpup.org/test/dpup482beta5-2.6.30.5/addons/cinelerra-4.1-i686-dpup.pet

Cheers

_________________
Dpup Home
Back to top
View user's profile Send_private_message Visit_website MSNM 
mikeslr


Joined: 16 Jun 2008
Posts: 793
Location: Union New Jersey USA

PostPosted: Wed 02 Dec 2009, 14:41    Post_subject: Cinelerra Sfs
Sub_title: gposil never sleeps
 

@ gposil, thank you is inadequate. While I have other Puppies I could try it on, I'd rather do so on your dPup beta5 which I'm in the process of getting up and running.

As you never seem to sleep, perhaps you can take a look at musher0's comments on the ChoicePup thread, and sunburnt's and my interjections regarding the importance of jbr's sfs-Linker.

Thanks again,

mikesLr
Back to top
View user's profile Send_private_message 
battleshooter


Joined: 14 May 2008
Posts: 1095
Location: Australia

PostPosted: Sun 06 Dec 2009, 16:36    Post_subject:  

I had a go at compiling Cinelerra on 4.3.1 the other day, and it worked out. I haven't tested it thoroughly, but I should have it tested and the pets out, hopefully by next week.



Battleshooter

_________________
LMMS 1.0.2, Ardour 3.5.389, Kdenlive 0.9.8
Back to top
View user's profile Send_private_message 
Keanen

Joined: 10 Dec 2009
Posts: 49

PostPosted: Sun 10 Jan 2010, 01:23    Post_subject:  

Wow, this is recentish! Have you thought about putting all the dependencies together?

EDIT: I did everything stated at the top, restarted x, and tried to run Cinelerra through the console. What I got was:
Code:

cinelerra: error while loading shared libraries: libGLU.so.1: cannot open shared object file: No such file or directory


Meaning that for some reason I don't have GLU. I thought I had OpenGL, even though I've never gotten any OpenGL program to work, and I thought GLU was included with OpenGL. You know, if you're going to blatantly say that you NEED OpenGL, put a dotpet up, please!
Back to top
View user's profile Send_private_message 
battleshooter


Joined: 14 May 2008
Posts: 1095
Location: Australia

PostPosted: Sun 10 Jan 2010, 16:52    Post_subject:  

Hey Keanen,

What Puppy are you using? This Cinelerra was for Unnamed 1.1, and as far as know doesn't work on anything else. Let me know which Puppy you're using, and I'll have ago at making an SFS with all the dependencies included. In the past I was unable to successfully make an SFS but it might work out now.

As for the GLU issue, that's a barrel of fun. If you're lucky, your graphics card will be supported by the default OpenGL package: xorg_xorg_full_dri-7.3.pet. If you're not, you'll have to search the puppy forum for your graphic's card drivers. A bit messy, but very worthwhile.

Sorry about the mess of this Cinelerra setup, I'm still learning about packaging stuff, so hopefully I'll soon be able to offer more tidy solutions.

Battleshooter

_________________
LMMS 1.0.2, Ardour 3.5.389, Kdenlive 0.9.8
Back to top
View user's profile Send_private_message 
Display_posts:   Sort by:   
Page 1 of 1 Posts_count  
Post_new_topic   Reply_to_topic View_previous_topic :: View_next_topic
 Forum index » Advanced Topics » Additional Software (PETs, n' stuff) » Unsorted
Jump to:  

Rules_post_cannot
Rules_reply_cannot
Rules_edit_cannot
Rules_delete_cannot
Rules_vote_cannot
You cannot attach files in this forum
You can download files in this forum


Powered by phpBB © 2001, 2005 phpBB Group
[ Time: 0.0889s ][ Queries: 12 (0.0057s) ][ GZIP on ]